﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.DeliveryOrderViewModel>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-sm-1 text-center" style="width:3%;">#Entrega</th>
            <th class="col-sm-1 text-center" style="width:3%;">#Venta</th>
            <th class="col-sm-1 text-center" style="width:3%;">#Devolución</th>
            <th class="col-sm-1 text-center" style="width:3%;">#Cambio</th>
            <th class="col-sm-2">Cliente</th>
            <th class="col-sm-1 text-center" style="width:10%;">Fecha de Entrega</th>
            <th class="col-sm-1 text-center" style="width:10%;">Creada</th>
            <th class="col-sm-1 text-center" style="width:10%;">Creada Por</th>
            <th class="col-sm-1 text-right">Total</th>
            <th class="col-sm-1 text-center" style="width:15%;">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@Html.DisplayFor(modelItem => item.DeliveryOrderId)</td>
            <td class="text-center">@(item.OrderId.HasValue ? item.OrderId.ToString() : "-")</td>
            <td class="text-center">@(item.RefundId.HasValue ? item.RefundId.ToString() : "-")</td>
            <td class="text-center">@(item.ExchangeId.HasValue ? item.ExchangeId.ToString() : "-")</td>
            <td class="">@Html.DisplayFor(modelItem => item.Customer)</td>
            <td class="text-center">@string.Format("{0:dd/MM/yyyy}", item.Date)</td>
            <td class="text-center">@string.Format("{0:dd/MM/yyyy}", item.Created)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.CreatedBy)</td>
            <td class="text-right" nowrap="nowrap">@string.Format("{0:C2}", item.Amount)</td>
            <td class="actions text-center">
                @if (!item.RefundId.HasValue && !item.ExchangeId.HasValue)
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Detalle de Entrega"
                       onclick="ShowModalDeliveryDetail(@item.DeliveryOrderId)">
                        <i class="icon fa-search-plus" aria-hidden="true"></i>
                    </a>
                    <a href="/DeliveryOrders/ExportDeliveryOrderToExcel/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Exportar a Excel">
                        <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                    </a>
                    <a href="/DeliveryOrders/DeliveryOrderPrint/@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Imprimir" target="_blank"><i class="icon fa-print" aria-hidden="true"></i></a>
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Guia"
                       onclick="ShowModalDeliveryOrderGuide(@item.DeliveryOrderId)">
                        <i class="icon fa-picture-o" aria-hidden="true"></i>
                    </a>

                    <a href="/DeliveryOrders/DeliveryOrderUpdate?OrderId=@item.OrderId&DeliveryOrderId=@item.DeliveryOrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Editar">
                        <i class="icon wb-edit" aria-hidden="true"></i>
                    </a>
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Eliminar"
                       onclick="deleteDelivery(@item.DeliveryOrderId, '@item.ReferNumber')">
                        <i class="icon wb-trash" aria-hidden="true"></i>
                    </a>
                }
                

            </td>
        </tr>
    }
    </tbody>
</table>
